none
.Net framework compatibility for projects running under diffrent versions RRS feed

  • Question

  • Hi Team

    we have legacy projects which were running under .net3.5 version framework.

    Created another solution and added web api website(Running under 4.6.1 .net framework+mvc5) which will access legacy project dlls or libraries (running under .net 3.5).

    I have added 9 dll references(running under .net 3.5) to web api website (Running under 4.6.1 .net framework
    +mvc).

    While building and rebuilding web api website,it got succeeded in both the cases.

    While rebuilding the entire  solution it is giving errors,one dll not building properly out of 9 dlls.  Every time getting different number of errors related to that project dll.

    In .CS files it is not showing any error realted to dll.

    But in error list it is showing


    Severity


    Code


    Description


    Project


    File


    Line


    Suppression State


    Error


    CS0234


    The type or namespace name 'Entities' does not exist in the namespace 'AdminTools.Common' (are you missing an assembly reference?)


    GenericToolsMvcWeb


    C:\dev\AdminTools\AdminTools\Src\GenericToolsWebApi\Source\UdwBaseWebServiceWrapper.cs


    6


    N/A

    Thursday, February 8, 2018 8:59 PM

All replies

  • Hi friend,

    Welcome to the MSDN forum.

    It seems your issue is about the ASP.NET development and since our forum is to discuss the VS IDE, please redirect to this appropriate forum: https://forums.asp.net/ and start a new thread for a better support, thank you for your understanding.

    Best regards,

    Sara


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Friday, February 9, 2018 6:32 AM